Bug 381471 - Crash when specifying a *.jigdo file on the command line
Crash when specifying a *.jigdo file on the command line
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jigdo (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 22:32 EST by Pavel Roskin
Modified: 2010-01-16 05:22 EST (History)
1 user (show)

See Also:
Fixed In Version: jigdo-0.7.3-9.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2007-11-13 22:32:23 EST
Description of problem:
jigdo crashes when a *.jigdo file is specified on the command line.  It happens
to any file, even if it's empty.

Version-Release number of selected component (if applicable):
0.7.3-4.fc8

How reproducible:
always

Steps to Reproduce:
1. touch empty.jigdo
2. jigdo empty.jigdo
  
Actual results:
$ jigdo empty.jigdo 
Segmentation fault (core dumped)

Expected results:
If the file is valid, proceed to the download.  Otherwise, show a message
explaining what is wrong.

Additional info:

Backtrace obtained in gdb:

(gdb) where
#0  0x0000003c6c6795c0 in strlen () from /lib64/libc.so.6
#1  0x000000374104ce93 in IA__g_strdup (str=0x100adf998 <Address 0x100adf998 out
of bounds>)
    at gstrfuncs.c:90
#2  0x000000374142f448 in value_collect_string (value=0x7ffff5ebcf00,
n_collect_values=1, 
    collect_values=0x7ffff5ebcec0, collect_flags=0) at gvaluetypes.c:292
#3  0x0000003743654447 in gtk_tree_store_set_valist_internal (tree_store=0x7541e0, 
    iter=0xb00738, emit_signal=0x7ffff5ebcf74, maybe_need_sort=0x7ffff5ebcf70, 
    var_args=0x7ffff5ebcfa0) at gtktreestore.c:948
#4  0x00000037436560a4 in IA__gtk_tree_store_set_valist (tree_store=0x7541e0,
iter=0xb00738, 
    var_args=0x7ffff5ebcfa0) at gtktreestore.c:1043
#5  0x00000037436561a8 in IA__gtk_tree_store_set (tree_store=0x100adf998, iter=0x1)
    at gtktreestore.c:1082
#6  0x000000000040a769 in GtkMakeImage::run (this=0xb00700) at
gtk/gtk-makeimage.cc:69
#7  0x000000000041d552 in JobLine::create (uri=0x673d18 "empty.jigdo", 
    dest=<value optimized out>) at gtk/jobline.cc:137
#8  0x000000000041c461 in main (argc=3, argv=0x7ffff5ebd448) at gtk/jigdo.cc:205
#9  0x0000003c6c61e074 in __libc_start_main () from /lib64/libc.so.6
#10 0x00000000004099f9 in _start ()
(gdb)
Comment 1 Bug Zapper 2008-11-26 03:25:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:12:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.